ReflectionClass::getDocComment
ReflectionClass::getExtension
ReflectionClass
PHP Manual

# ReflectionClass::getEndLine

(PHP 5)

ReflectionClass::getEndLine — Gets end line

### Description

public int ReflectionClass::getEndLine ( void )

Gets end line number from a user-defined class definition.

### Parameters

This function has no parameters.

### Return Values

The ending line number of the user defined class, or `FALSE` if unknown.

### Examples

Example #1 ReflectionClass::getEndLine example

`<?php
// Test Class
class TestClass { }
$rc = new ReflectionClass('TestClass');
echo $rc->getEndLine();
?>`

The above example will output:

    3

### See Also

- ReflectionClass::getStartLine - Gets starting line number

ReflectionClass::getDocComment
ReflectionClass::getExtension
ReflectionClass
PHP Manual